import type { Combobox } from '../combobox';
import type { Select } from '../select';
import { BaseDatasource } from '../utils';
export declare class OptionsDatasource extends BaseDatasource {
    labelField: string;
    optionElement: string;
    valueField: string;
    emptyDataLabel: string;
    labelFormatter: any;
    initialSelectedValue: string | number;
    initialSelectedValueChanged(oldValue: any, newValue: any): void;
    initalSelectedValueInitialized: boolean;
    protected select: Select | Combobox;
    isSnapshot: boolean;
    protected options: {
        value: any;
        label: string;
    }[];
    private resizeObserver;
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    private resizeObserverCallback;
    selectChangeHandler: (e: any) => void;
    fetchData(): void;
    asyncModeIntialization(): Promise<void>;
    clearData(): void;
    private checkOverflow;
    syncComponentData(snapshotData?: any[]): void;
    resetCombobox(): void;
    handleStreamInserts(insertedRows: any[]): void;
    handleStreamDeletes(deletedRows: any[]): void;
    handleStreamUpdates(updatedRows: any[]): void;
}
//# sourceMappingURL=options-datasource.d.ts.map